import axios from '@/common/services/axios-instance'

class IamIcEvaluationReportServices {
  // 获取内控计划信息
  getPlanInfo(planId) {
    return axios({
      method: 'get',
      url: `api/framework/v1/page/wp/ic/evaluation/plan/icEvaluationPlan?id=${planId}`,
    })
  }

  // 获取被评价单位
  getDvaluationDept(planId) {
    return axios({
      method: 'post',
      url: `api/xcoa-mobile/v1/icevaluationreport/findAuditUnit`,
      params: {
        planId,
      },
    })
  }

  // 获取当前用户所在单位
  getCurrentUserGroup() {
    return axios({
      url: 'api/xcoa-mobile/v1/iamorg/getCurrentUserGroup',
      method: 'get',
    })
  }

  // 获取获取当前用户授权
  findIamOrgId(params) {
    return axios({
      url: 'api/xcoa-mobile/v1/iamorg/findIamOrgId',
      method: 'post',
      params,
    })
  }
}

export default new IamIcEvaluationReportServices()
